---
title: OffscreenCanvas.height
slug: Web/API/OffscreenCanvas/height
tags:
  - API
  - Canvas
  - Experimental
  - OffscreenCanvas
  - Property
  - Reference
---
<div>{{APIRef("Canvas API")}} {{SeeCompatTable}}</div>

<p>The <code><strong>height</strong></code> property returns and sets the height of an {{domxref("OffscreenCanvas")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>var <em>pxl</em> = <em>offscreen</em></var>.height;
<em>offscreen</em>.height = <em>pxl</em>;</pre>

<h2 id="Examples">Examples</h2>

<p>Creating a new offscreen canvas and returning or setting the height of the offscreen canvas:</p>

<pre class="brush: js">var offscreen = new OffscreenCanvas(256, 256);
offscreen.height; // 256
offscreen.height = 512;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#dom-offscreencanvas-height", "OffscreenCanvas.height")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.OffscreenCanvas.height")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("OffscreenCanvas")}}, the interface this property belongs to.</li>
</ul>
